Bug 124604 - FILEOPEN DOCX There is excessive indent before subtitle
Summary: FILEOPEN DOCX There is excessive indent before subtitle
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.1 rc
Hardware: All All
: medium normal
Assignee: László Németh
URL:
Whiteboard: target:6.4.0
Keywords: filter:docx
Depends on:
Blocks: DOCX-Paragraph
  Show dependency treegraph
 
Reported: 2019-04-08 08:00 UTC by NISZ LibreOffice Team
Modified: 2019-09-06 11:39 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Test document from Word (34.13 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-04-08 08:02 UTC, NISZ LibreOffice Team
Details
Screenshot of the document side by side in Word and Writer (99.74 KB, image/png)
2019-04-08 08:03 UTC, NISZ LibreOffice Team
Details
explicit indent in paragraph style (34.48 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-08-28 08:48 UTC, László Németh
Details
no explicit indent, indent of numbering wins (53.78 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-08-28 08:49 UTC, László Németh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-04-08 08:00:25 UTC
Description:
There is 14.14 cm  indent before subtitle (with style JSZ_alcím) in DOCX document created with Microsoft Word when the document is opened in LibreOffice Writer 6.3.0.0.alpha0+.

Steps to Reproduce:
    1. Open the attached DOCX file in LibreOffice Writer 6.3.0.0.alpha0+ c1fc31b1032d5e8940223b5688138298896f78f0.
    2. Open a copy in LibreOffice Writer 6.3.0.0.alpha0+ 5b21929c50f09fa589df0bfb5736d0163195e41e.
    3. Compare the file opened with these builds.
    4. View the attached screenshot.
    5. Notice that there is 14.14 cm indent on the subtitle paragraph after the numbered list.

Actual Results:
There is 14.14 cm indent on the subtitle when the document is opened in LibreOffice Writer 6.3.0.0.alpha0+ c1fc31b1032d5e8940223b5688138298896f78f0.

Expected Results:
There should be 0 indent on the subtitle paragraph when the document is opened in Writer


Reproducible: Always


User Profile Reset: No



Additional Info:
LibreOffice details:
Version: 6.3.0.0.alpha0+
Build ID: c1fc31b1032d5e8940223b5688138298896f78f0
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: threaded

Bibisect log:
# bad: [7237d642e71dcb4434a9b59b7855d22f96b34663] source sha:c1fc31b1032d5e8940223b5688138298896f78f0
# good: [ea94942caaf195b8d8b2d5c2abb523359ab390e7] source sha:a20a2d7e0d28658f2d9089da076961a599833a28
git bisect start 'origin/master' 'oldest'
# bad: [20aa54903b16e6f397aed3c2ccf3b026a7d1b3ee] source sha:fef58ec13c548fbd692adabafb0a84f50c273146
git bisect bad 20aa54903b16e6f397aed3c2ccf3b026a7d1b3ee
# bad: [54a77072161cbefb975ef7af1bc27a80ecf5d9e9] source sha:3c0cb54b7ca20439e7e5e1e19dc6fcc75709973b
git bisect bad 54a77072161cbefb975ef7af1bc27a80ecf5d9e9
# bad: [14c6fb424798d54c30ba453bbbe3decb0b951cbd] source sha:2cc09c4650c2fc6acc0157cd26acad248f32c5ac
git bisect bad 14c6fb424798d54c30ba453bbbe3decb0b951cbd
# good: [b7650dd6e4b2d78b369f5fe9e0fc0433629745ef] source sha:1ee42f427fc80a4f3a63ee9fffbf9d187f1253ba
git bisect good b7650dd6e4b2d78b369f5fe9e0fc0433629745ef
# bad: [d5059b33a883271b6dde7c390eac90cebb033506] source sha:89b598e7db1f2964a60045739d6b3ba255bb6600
git bisect bad d5059b33a883271b6dde7c390eac90cebb033506
# good: [b54d9ca524277ff9ac3c4347ac821e6509832bad] source sha:e3e8d52625c2dc7a277a955d4ae2ad10c60c5f1b
git bisect good b54d9ca524277ff9ac3c4347ac821e6509832bad
# good: [9e76597ccb49dc85af309e5a13acc8caa9f559bd] source sha:210fbfbbf88ce6957b816e68bc442402b0668e69
git bisect good 9e76597ccb49dc85af309e5a13acc8caa9f559bd
# good: [fed6fd4062f644a861fdc7170c8ec173f49dd756] source sha:0abce68927f45673b73d8f806e108a51a36fb543
git bisect good fed6fd4062f644a861fdc7170c8ec173f49dd756
# bad: [4ff695ae64e94620f73e26aed0a075e933ae05c9] source sha:836cbf3680afd9198abf3a64be698f8fe256dd5a
git bisect bad 4ff695ae64e94620f73e26aed0a075e933ae05c9
# good: [528da06e4fc522f6c29dc0aee82170c7d0f6d89a] source sha:506173a7f42f34821238a63f3f8c7362c9fae9d9
git bisect good 528da06e4fc522f6c29dc0aee82170c7d0f6d89a
# good: [e81dde9745de0008cdf054fb5f43d7fbfc789be0] source sha:b80c56f2798abca7b44ecf7c0fd9948a0b966e10
git bisect good e81dde9745de0008cdf054fb5f43d7fbfc789be0
# good: [5b21929c50f09fa589df0bfb5736d0163195e41e] source sha:60e6593f042e3e2869ece89cc43390b3254b3205
git bisect good 5b21929c50f09fa589df0bfb5736d0163195e41e
# first bad commit: [4ff695ae64e94620f73e26aed0a075e933ae05c9] source sha:836cbf3680afd9198abf3a64be698f8fe256dd5a
Comment 1 NISZ LibreOffice Team 2019-04-08 08:02:34 UTC
Created attachment 150602 [details]
Test document from Word
Comment 2 NISZ LibreOffice Team 2019-04-08 08:03:07 UTC
Created attachment 150603 [details]
Screenshot of the document side by side in Word and Writer
Comment 3 Xisco Faulí 2019-04-08 13:08:05 UTC
Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: 31ac398cfa30694b18240d31df17a58d699b5bf6
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 4 Gabor Kelemen (allotropia) 2019-07-11 11:41:50 UTC
This has change tracking in the problematic area -> changing meta.

Also it was bibisected to (clickable link):

https://cgit.freedesktop.org/libreoffice/core/commit/?id=836cbf3680afd9198abf3a64be698f8fe256dd5a
Comment 5 László Németh 2019-07-22 10:34:07 UTC
same problem in 6.0.7.3
Comment 6 László Németh 2019-08-28 08:39:41 UTC
In MSO, w:ind value defined in numbering.xml has lower priority as w:ind value defined in styles.xml. Only when the paragraph style doesn't define w:ind explicitly, MSO will use w:ind of the numbering.

Test files are attached with this difference.
Comment 7 László Németh 2019-08-28 08:48:26 UTC
Created attachment 153700 [details]
explicit indent in paragraph style

as in the original test document (but without not related change tracking)
Comment 8 László Németh 2019-08-28 08:49:30 UTC
Created attachment 153701 [details]
no explicit indent, indent of numbering wins
Comment 9 Commit Notification 2019-09-06 11:39:41 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/9f6d1d5c4c75c51f36815178507e336c504025fb%5E%21

tdf#124604 DOCX import: fix indentation at numbering

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.